#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const logger_1 = require("./utils/logger");
const index_1 = require("./index");
const program = new commander_1.Command();
program
    .command('build')
    .description('builds extensions')
    .option('-c, --config <config path>', 'specify the config file')
    .option('--debug', 'show debugging information')
    .action((cmd) => {
    logger_1.setLogging(cmd.debug);
    return index_1.buildProject({
        configPath: cmd.config
    });
});
program.parse(process.argv);
exports.default = program;
// TODO: scaffold project
// build project
// Compile assets:
/*
 out/
  chrome-extension/
    includes**
    manifest.json
  mozilla-extension/
    includes**
    manifest.json
*/
//# sourceMappingURL=cli.js.map