"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const child_process_1 = require("child_process");
jest.unmock('web-ext');
const cli = (args, cwd = process.cwd()) => {
    return new Promise(resolve => {
        const command = `yarn ts-node ${path_1.default.resolve('./src/cli.ts')} ${args.join(' ')}`;
        child_process_1.exec(command, { cwd }, (error, stdout, stderr) => {
            resolve({
                code: error && error.code ? error.code : 0,
                error,
                stdout,
                stderr,
            });
        });
    });
};
describe('build command', () => {
    it('builds successfully', async () => {
        jest.setTimeout(20000);
        await fs_extra_1.default.remove(path_1.default.resolve(__dirname, './e2e-test-out'));
        const result = await cli(['build', '--config', './src/e2e/fixtures/cwex.yml']);
        expect(result.code).toBe(0);
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out'))).toBeTruthy();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'chrome-files'))).toBeTruthy();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'chrome-files', 'manifest.json'))).toBeTruthy();
        expect(fs_extra_1.default.readFileSync(path_1.default.resolve(__dirname, './e2e-test-out', 'chrome-files', 'manifest.json'), 'utf8')).toMatchSnapshot();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'chrome-build'))).toBeTruthy();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'chrome-build', 'chrome.zip'))).toBeTruthy();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'mozilla-files'))).toBeTruthy();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'mozilla-files', 'manifest.json'))).toBeTruthy();
        expect(fs_extra_1.default.readFileSync(path_1.default.resolve(__dirname, './e2e-test-out', 'mozilla-files', 'manifest.json'), 'utf8')).toMatchSnapshot();
        expect(await fs_extra_1.default.pathExists(path_1.default.resolve(__dirname, './e2e-test-out', 'mozilla-build'))).toBeTruthy();
    });
});
//# sourceMappingURL=build-command.spec.js.map