"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug_1 = __importDefault(require("debug"));
const logger_1 = require("./logger");
jest.mock('debug', () => {
    const mockDebugInstance = jest.fn();
    const mockDebug = jest.fn(() => {
        return mockDebugInstance;
    });
    mockDebug.enable = jest.fn();
    mockDebug.disable = jest.fn();
    return mockDebug;
});
describe('logger', () => {
    beforeEach(() => {
        jest.clearAllMocks();
    });
    describe('log', () => {
        it('should call debug instance with message', () => {
            logger_1.log('test message');
            const mockDebugInstance = debug_1.default('x');
            expect(debug_1.default).toHaveBeenCalled();
            expect(mockDebugInstance).toHaveBeenCalledWith('test message');
        });
    });
    describe('setLogging', () => {
        it('should enable debug if true is passed', () => {
            logger_1.setLogging(true);
            expect(debug_1.default.enable).toHaveBeenCalled();
            expect(debug_1.default.disable).not.toHaveBeenCalled();
        });
        it('should disable debug if false is passed', () => {
            logger_1.setLogging(false);
            expect(debug_1.default.disable).toHaveBeenCalled();
            expect(debug_1.default.enable).not.toHaveBeenCalled();
        });
    });
});
//# sourceMappingURL=logger.spec.js.map